package cli

import (
	"fmt"

	"git.eeqj.de/sneak/mfer/mfer"
	"github.com/davecgh/go-spew/spew"
	"github.com/urfave/cli/v2"
)

func (mfa *CLIApp) generateManifestOperation(c *cli.Context) error {
	fmt.Println("generateManifestOperation()")
	myArgs := c.Args()
	spew.Dump(myArgs)

	fmt.Printf("%#v\n", c.Args().First())
	if c.Args().Len() > 0 {
		fmt.Printf("%#v\n", c.Args().Get(1))
	}

	// fmt.Printf("called with arg: %s\n", c.String("input"))

	opts := &mfer.ManifestScanOptions{
		IgnoreDotfiles: c.Bool("IgnoreDotfiles"),
		FollowSymLinks: c.Bool("FollowSymLinks"),
	}
	// FIXME add command flags for ignoring dotfiles and following symlinks
	mf, err := mfer.NewFromPath(c.String("input"), opts)
	if err != nil {
		panic(err)
	}

	spew.Dump(mf)

	return nil
}
